package com.company;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.List;

public class Main {

    public static void main(String[] args) {

        List<Client> clients = new ArrayList<>();

        try {
            ServerSocket ss = new ServerSocket(9125);

            while (true) {
                Socket clientSocket = ss.accept();

                try {
                    Client client = new Client(clientSocket, clients);
                    clients.add(client);
                    client.start();
                } catch (IOException e) {
                    System.out.println(e.getMessage());
                }
            }

        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
